; music.h
;
; Written by Manuel Polik
; Influenced by tech articles from Eckhard Stolberg & Paul Slocum
; Supposed to be included with TSM V1.5 or greater
; Or any other music driver with a 3.5 storage compatible
; to Pauls drivers

;000 0 Square  = 4
;001 1 Bass    = 6
;010 2 Pitfall = 7
;011 3 Noise   = 8
;100 4 Buzz    = 15
;101 5 Lead    = 12
;110 6 Saw     = 1
;111 7 Engine  = 3

HOLD = $FF

    SEG.U   tsm
    ORG     $00

SILENT          ds 1
SQUARE_H8       ds 1
SQUARE_E8       ds 1
SQUARE_H7       ds 1
SQUARE_G7       ds 1
SQUARE_E7       ds 1
SQUARE_Cw7      ds 1
SQUARE_H6       ds 1
SQUARE_A6       ds 1
SQUARE_G6       ds 1
SQUARE_F6       ds 1
SQUARE_E6       ds 1
SQUARE_D6       ds 1
SQUARE_Cw6      ds 1
SQUARE_C6       ds 1
SQUARE_H5       ds 1
SQUARE_Aw5      ds 1
SQUARE_A5       ds 1
SQUARE_Gw5      ds 1
SQUARE_G5       ds 1
SQUARE_Fw5      ds 1
SQUARE_F5_1     ds 1
SQUARE_F5_2     ds 1
SQUARE_E5       ds 1
SQUARE_Dw5      ds 1
SQUARE_D5_1     ds 1
SQUARE_D5_2     ds 1
SQUARE_Cw5_1    ds 1
SQUARE_Cw5_2    ds 1
SQUARE_C5       ds 1
SQUARE_H4_1     ds 1
SQUARE_H4_2     ds 1

BASS_H5         ds 1
BASS_H4         ds 1
BASS_E4         ds 1
BASS_H3         ds 1
BASS_Gw3        ds 1
BASS_E3         ds 1
BASS_D3         ds 1
BASS_H2         ds 1
BASS_A2         ds 1
BASS_Gw2        ds 1
BASS_Fw2        ds 1
BASS_E2         ds 1
BASS_Dw2        ds 1
BASS_D2         ds 1
BASS_Cw2        ds 1
BASS_H1         ds 1
BASS_Aw1        ds 1
BASS_A1         ds 1
BASS_Gw1_1      ds 1
BASS_Gw1_2      ds 1
BASS_G1         ds 1
BASS_Fw1        ds 1
BASS_F1         ds 1
BASS_E1_1       ds 1
BASS_E1_2       ds 1
BASS_Dw1        ds 1
BASS_D1_1       ds 1
BASS_D1_2       ds 1
BASS_Cw1_1      ds 1
BASS_Cw1_2      ds 1
BASS_C1         ds 1
BASS_H0         ds 1

PITFALL_H5      ds 1
PITFALL_H4      ds 1
PITFALL_E4      ds 1
PITFALL_H3      ds 1
PITFALL_Gw3     ds 1
PITFALL_E3      ds 1
PITFALL_D3      ds 1
PITFALL_H2      ds 1
PITFALL_A2      ds 1
PITFALL_Gw2     ds 1
PITFALL_Fw2     ds 1
PITFALL_E2      ds 1
PITFALL_Dw2     ds 1
PITFALL_D2      ds 1
PITFALL_Cw2     ds 1
PITFALL_H1      ds 1
PITFALL_Aw1     ds 1
PITFALL_A1      ds 1
PITFALL_Gw1_1   ds 1
PITFALL_Gw1_2   ds 1
PITFALL_G1      ds 1
PITFALL_Fw1     ds 1
PITFALL_F1      ds 1
PITFALL_E1_1    ds 1
PITFALL_E1_2    ds 1
PITFALL_Dw1     ds 1
PITFALL_D1_1    ds 1
PITFALL_D1_2    ds 1
PITFALL_Cw1_1   ds 1
PITFALL_Cw1_2   ds 1
PITFALL_C1      ds 1
PITFALL_H0      ds 1

NOISE_H1        ds 1
NOISE_H0        ds 1
NOISE_E0        ds 1
NOISE_BELOW_1   ds 1
NOISE_BELOW_2   ds 1
NOISE_BELOW_3   ds 1
NOISE_BELOW_4   ds 1
NOISE_BELOW_5   ds 1
NOISE_BELOW_6   ds 1
NOISE_BELOW_7   ds 1
NOISE_BELOW_8   ds 1
NOISE_BELOW_9   ds 1
NOISE_BELOW_10  ds 1
NOISE_BELOW_11  ds 1
NOISE_BELOW_12  ds 1
NOISE_BELOW_13  ds 1
NOISE_BELOW_14  ds 1
NOISE_BELOW_15  ds 1
NOISE_BELOW_16  ds 1
NOISE_BELOW_17  ds 1
NOISE_BELOW_18  ds 1
NOISE_BELOW_19  ds 1
NOISE_BELOW_20  ds 1
NOISE_BELOW_21  ds 1
NOISE_BELOW_22  ds 1
NOISE_BELOW_23  ds 1
NOISE_BELOW_24  ds 1
NOISE_BELOW_25  ds 1
NOISE_BELOW_26  ds 1
NOISE_BELOW_27  ds 1
NOISE_BELOW_28  ds 1
NOISE_BELOW_29  ds 1

BUZZ_E4         ds 1
BUZZ_E3         ds 1
BUZZ_A2         ds 1
BUZZ_E2         ds 1
BUZZ_Cw2        ds 1
BUZZ_A1         ds 1
BUZZ_G1         ds 1
BUZZ_E1         ds 1
BUZZ_D1         ds 1
BUZZ_Cw1        ds 1
BUZZ_H0         ds 1
BUZZ_A0         ds 1
BUZZ_Gw0        ds 1
BUZZ_G0         ds 1
BUZZ_Fw0        ds 1
BUZZ_E0         ds 1
BUZZ_Dw0        ds 1
BUZZ_D0         ds 1
BUZZ_Cw0_1      ds 1
BUZZ_Cw0_2      ds 1
BUZZ_C0         ds 1
BUZZ_BELOW_1    ds 1
BUZZ_BELOW_2    ds 1
BUZZ_BELOW_3    ds 1
BUZZ_BELOW_4    ds 1
BUZZ_BELOW_5    ds 1
BUZZ_BELOW_6    ds 1
BUZZ_BELOW_7    ds 1
BUZZ_BELOW_8    ds 1
BUZZ_BELOW_9    ds 1
BUZZ_BELOW_10   ds 1
BUZZ_BELOW_11   ds 1

LEAD_E8         ds 1
LEAD_E7         ds 1
LEAD_A6         ds 1
LEAD_E6         ds 1
LEAD_C6         ds 1
LEAD_A5         ds 1
LEAD_Fw5        ds 1
LEAD_E5         ds 1
LEAD_D5         ds 1
LEAD_C5         ds 1
LEAD_Aw4        ds 1
LEAD_A4         ds 1
LEAD_G4         ds 1
LEAD_Fw4        ds 1
LEAD_F4         ds 1
LEAD_E4         ds 1
LEAD_Dw4        ds 1
LEAD_D4         ds 1
LEAD_Cw4        ds 1
LEAD_C4         ds 1
LEAD_H3         ds 1
LEAD_Aw3_1      ds 1
LEAD_Aw3_2      ds 1
LEAD_A3         ds 1
LEAD_Gw3        ds 1
LEAD_G3_1       ds 1
LEAD_G3_2       ds 1
LEAD_Fw3_1      ds 1
LEAD_Fw3_2      ds 1
LEAD_F3         ds 1
LEAD_E3_1       ds 1
LEAD_E3_2       ds 1

SAW_C7          ds 1
SAW_C6          ds 1
SAW_F5          ds 1
SAW_C5          ds 1
SAW_Gw4         ds 1
SAW_F4          ds 1
SAW_D4          ds 1
SAW_C4          ds 1
SAW_Aw3         ds 1
SAW_Gw3         ds 1
SAW_Fw3         ds 1
SAW_F3          ds 1
SAW_E3          ds 1
SAW_D3          ds 1
SAW_Cw3         ds 1
SAW_C3          ds 1
SAW_H2          ds 1
SAW_Aw2         ds 1
SAW_A2          ds 1
SAW_Gw2         ds 1
SAW_G2_1        ds 1
SAW_G2_2        ds 1
SAW_Fw2         ds 1
SAW_F2          ds 1
SAW_E2_1        ds 1
SAW_E2_2        ds 1
SAW_Dw2         ds 1
SAW_D2_1        ds 1
SAW_D2_2        ds 1
SAW_Cw2_1       ds 1
SAW_Cw2_2       ds 1
SAW_C2          ds 1

ENGINE_Cw2      ds 1
ENGINE_Cw1      ds 1
ENGINE_Fw0      ds 1
ENGINE_Cw0      ds 1
ENGINE_BELOW_1  ds 1
ENGINE_BELOW_2  ds 1
ENGINE_BELOW_3  ds 1
ENGINE_BELOW_4  ds 1
ENGINE_BELOW_5  ds 1
ENGINE_BELOW_6  ds 1
ENGINE_BELOW_7  ds 1
ENGINE_BELOW_8  ds 1
ENGINE_BELOW_9  ds 1
ENGINE_BELOW_10 ds 1
ENGINE_BELOW_11 ds 1
ENGINE_BELOW_12 ds 1
ENGINE_BELOW_13 ds 1
ENGINE_BELOW_14 ds 1
ENGINE_BELOW_15 ds 1
ENGINE_BELOW_16 ds 1
ENGINE_BELOW_17 ds 1
ENGINE_BELOW_18 ds 1
ENGINE_BELOW_19 ds 1
ENGINE_BELOW_20 ds 1
ENGINE_BELOW_21 ds 1
ENGINE_BELOW_22 ds 1
ENGINE_BELOW_23 ds 1
ENGINE_BELOW_24 ds 1
ENGINE_BELOW_25 ds 1
ENGINE_BELOW_26 ds 1
ENGINE_BELOW_27 ds 1
ENGINE_BELOW_28 ds 1